# Non-cash payment

**Non-cash payment** is a method of paying delivery charges under the client’s logistics agreement with Nova Post. To use this payment method, the client must have a signed logistics agreement that includes cashless payment terms.

#### **Through the API, cashless payment is configured during shipment creation using two fields:**

| Field name          | Description                                                                                                                    |
| ------------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| payerType           | <p>Defines the payer of delivery services. Available values:</p><ul><li>Sender</li><li>Recipient</li><li>ThirdPerson</li></ul> |
| payerContractNumber | Contract number of the payer for non-cash payment.                                                                             |

#### Example:

```

{
 "status": "ReadyToShip",
  "clientOrder": "",
  "note": "",
  "payerType": "Sender",
  "payerContractNumber": "CNPMD-12345678"
  "invoice": null,
  "services": [],
  "parcels": [],
  "sender": {},
  "recipient": {}
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-portal.novapost.com/checklists/non-cash-payment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
